Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.swtbot.eclipse.finder
Class SWTBotEclipseTestCase

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              org.eclipse.swtbot.swt.finder.SWTBotTestCase
                  org.eclipse.swtbot.eclipse.finder.SWTBotEclipseTestCase

All Implemented Interfaces:
  junit.framework.Test

Direct Known Subclasses:
  SWTBotGefTestCase

    public abstract class SWTBotEclipseTestCase

extends SWTBotTestCase

This is a wrapper test case to the SWTBotTestCase that adds an eclipse bot instead of the standard bot.

Since:
  1.2
Version:
  $Id$
Author:
  Ketan Padegaonkar <KetanPadegaonkar [at] gmail [dot] com>

Field Summary
`protected SWTEclipseBot` | `bot` An instance of SWTEclipseBot.

Constructor Summary
`SWTBotEclipseTestCase()`

Method Summary

Methods inherited from class org.eclipse.swtbot.swt.finder.SWTBotTestCase
`assertContains, assertDoesNotContain, assertEnabled, assertMatchesRegex, assertMatchesRegex, assertMatchesRegex, assertNotEnabled, assertNotSameWidget, assertNotSameWidget, assertNotVisible, assertSameWidget, assertSameWidget, assertText, assertText, assertTextContains, assertTextContains, assertTextDoesNotContain, assertTextDoesNotContain, assertVisible, captureScreenshot, pass, runBare`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runTest, setName, setUp, tearDown, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail, failNotEquals, failNotSame, failSame, format`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### bot

    protected SWTEclipseBot bot

  An instance of SWTEclipseBot.

  Since:
    1.1

Constructor Detail

### SWTBotEclipseTestCase

    public SWTBotEclipseTestCase()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD